var p3d_price_total=0;

window.wp.event_manager.addFilter( 'p3d.calculatePrintingCost', function  (total, product_info) {
	p3d_price_total=total * p3d.currency_rate;
	return total;
})

function checkUpdateQuantityCart() {
	if (p3d.pricing=='checkout' && p3d.new_pricing!='request' && p3d.new_pricing!='request_estimate') {
		var qty = jQuery('#add-cart-container input[name=quantity]').val();
		updatePriceSingle(qty);
	}
}

function checkUpdateQuantityRequest() {
	if (p3d.pricing=='request' || p3d.pricing=='request_estimate' || p3d.new_pricing=='request' || p3d.new_pricing=='request_estimate') {
		var qty = jQuery('input[name=p3d_quantity]').val();
		updatePriceSingle(qty);
	}
}

function updatePriceSingle(qty) {
	if (typeof(qty)=='undefined') return;
	var price_formatted = accounting.formatMoney(p3d_price_total*qty, p3d.currency_symbol, p3d.price_num_decimals, p3d.thousand_sep, p3d.decimal_sep);
	jQuery('p.price span.amount').html(price_formatted);
}

jQuery(document).ready(function(){
    if (typeof(p3d)=='undefined') return;
    jQuery('#add-cart-container input[name=quantity]').on('change', function(){
	 var qty = parseInt(jQuery(this).val());
	 updatePriceSingle(qty);
    })
    jQuery('input[name=p3d_quantity]').on('change', function(){
	 var qty = parseInt(jQuery(this).val());
	 updatePriceSingle(qty);
    })

  if (typeof(checkUpdateQuantityCart)=='function') {
	  if (typeof(window.wp.event_manager)!='undefined') {
		window.wp.event_manager.addAction( '3dprint.showResponse', checkUpdateQuantityCart, 10);
		window.wp.event_manager.addAction( '3dprint.showResponse', checkUpdateQuantityRequest, 10);
	  }
  }

});